import { Command } from '@oclif/core';
import { FileResponse, RetrieveResult } from '@salesforce/source-deploy-retrieve';
export declare type RetrieveMetadataResult = FileResponse[];
export default class RetrieveMetadata extends Command {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static flags: {
        'api-version': import("@oclif/core/lib/interfaces").OptionFlag<string>;
        manifest: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        metadata: import("@oclif/core/lib/interfaces").OptionFlag<string[]>;
        'package-name': import("@oclif/core/lib/interfaces").OptionFlag<string[]>;
        'source-dir': import("@oclif/core/lib/interfaces").OptionFlag<string[]>;
        'target-org': import("@oclif/core/lib/interfaces").OptionFlag<string>;
        wait: import("@oclif/core/lib/interfaces").OptionFlag<number>;
    };
    protected retrieveResult: RetrieveResult;
    run(): Promise<RetrieveMetadataResult>;
}
