import { ComponentSet } from '@salesforce/source-deploy-retrieve';
export declare type ManifestOption = {
    manifestPath: string;
    directoryPaths: string[];
};
export declare type MetadataOption = {
    metadataEntries: string[];
    directoryPaths: string[];
};
export declare type ComponentSetOptions = {
    packagenames?: string[];
    directory?: string[];
    manifest?: ManifestOption;
    metadata?: MetadataOption;
    apiversion?: string;
};
export declare class ComponentSetBuilder {
    /**
     * Builds a ComponentSet that can be used for source conversion,
     * deployment, or retrieval, using all specified options.
     *
     * @see https://github.com/forcedotcom/source-deploy-retrieve/blob/develop/src/collections/componentSet.ts
     *
     * @param options: options for creating a ComponentSet
     */
    static build(options: ComponentSetOptions): Promise<ComponentSet>;
}
